Skip to main content
`Ctrl`+`K`

# PEPDestroy

Destroys the `PEP` context.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPDestroy(PEP *pep)

Collective

## Input Parameter

- pep - the polynomial eigensolver context

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPCreate()`, `PEPSetUp()`, `PEPSolve()`

## Level

beginner

## Location

src/pep/interface/pepbasic.c

## Examples

src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex50.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex16.c
src/pep/tutorials/ex17.c
src/pep/tutorials/ex28.c

## Implementations

PEPDestroy_CISS() in src/pep/impls/ciss/pciss.c
PEPDestroy_JD() in src/pep/impls/jd/pjd.c
PEPDestroy_QArnoldi() in src/pep/impls/krylov/qarnoldi/qarnoldi.c
PEPDestroy_STOAR() in src/pep/impls/krylov/stoar/stoar.c
PEPDestroy_TOAR() in src/pep/impls/krylov/toar/ptoar.c
PEPDestroy_Linear() in src/pep/impls/linear/linear.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages